"use strict";

const arrayOf = require("@validatem/array-of");
const isBoolean = require("@validatem/is-boolean");
const isInteger = require("@validatem/is-integer");

module.exports = function isPaginatedChunkOf(rules) {
	return {
		chunk: arrayOf(rules),
		limited: isBoolean,
		count: isInteger
	};
};
